weka.associations

## Class AssociationRules

- java.lang.Object
- - weka.associations.AssociationRules

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    FilteredAssociationRules

      public class AssociationRules
      extends java.lang.Object
      implements java.io.Serializable

  Class encapsulating a list of association rules.
  Version:
    $Revision: 8034 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociationRules(java.util.List<AssociationRule> rules)` Constructs a new AssociationRules.
    `AssociationRules(java.util.List<AssociationRule> rules, java.lang.Object producer)` Constructs a new AssociationRules.
    `AssociationRules(java.util.List<AssociationRule> rules, java.lang.String producer)` Constructs a new AssociationRules.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumRules()` Get the number of rules.
    `java.lang.String` | `getProducer()` Get a string describing the scheme that produced these rules.
    `java.util.List<AssociationRule>` | `getRules()` Get the rules.
    `void` | `setProducer(java.lang.String producer)` Set a textual description of the scheme that produced these rules.
    `void` | `setRules(java.util.List<AssociationRule> rules)` Set the rules to use.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociationRules

          public AssociationRules(java.util.List<AssociationRule> rules,
                                  java.lang.String producer)

      Constructs a new AssociationRules.
      Parameters:
        `rules` - the list of rules.
        `producer` - a string describing the scheme that produced these rules.

    - #### AssociationRules

          public AssociationRules(java.util.List<AssociationRule> rules,
                                  java.lang.Object producer)

      Constructs a new AssociationRules.
      Parameters:
        `rules` - the list of rules.
        `producer` - the scheme that produced the rules.

    - #### AssociationRules

          public AssociationRules(java.util.List<AssociationRule> rules)

      Constructs a new AssociationRules.
      Parameters:
        `rules` - the list of rules.

  - ### Method Detail

    - #### setRules

          public void setRules(java.util.List<AssociationRule> rules)

      Set the rules to use.
      Parameters:
        `rules` - the rules to use.

    - #### getRules

          public java.util.List<AssociationRule> getRules()

      Get the rules.
      Returns:
        the rules.

    - #### getNumRules

          public int getNumRules()

      Get the number of rules.
      Returns:
        the number of rules.

    - #### setProducer

          public void setProducer(java.lang.String producer)

      Set a textual description of the scheme that produced these rules.
      Parameters:
        `producer` - a textual description of the scheme that produced these rules.

    - #### getProducer

          public java.lang.String getProducer()

      Get a string describing the scheme that produced these rules.
      Returns:
        producer